package com.wd.workoffice.bean;

import java.util.List;

/**
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 **/
public class TradingBean {
    /**
     * records : [{"createdBy":677,"createdByName":null,"createdTime":"2020-02-25 10:45:21","updatedBy":null,"updatedByName":null,"updatedTime":null,"id":104,"productId":32,"stockId":27,"quantity":8,"lockQuantity":0,"version":5,"stockName":"销售一退货库","stockSign":null,"productName":"浸入式水口（方坯）","productSoleCode":"70LTJ568-1001","productSimpleCode":"J568-1","productSpec":"90","productUnit":"支","productWeight":0,"deptId":120,"deptName":"销售一公司","quantityDetailList":null,"quantityFlowList":null},{"createdBy":694,"createdByName":null,"createdTime":"2020-02-26 15:05:33","updatedBy":null,"updatedByName":null,"updatedTime":null,"id":107,"productId":34,"stockId":27,"quantity":12,"lockQuantity":0,"version":14,"stockName":"销售一退货库","stockSign":null,"productName":"泰钢耐火纤维板","productSoleCode":"泰钢耐火纤维板","productSimpleCode":"泰钢耐火纤维板","productSpec":"600*400*10","productUnit":"吨","productWeight":10,"deptId":120,"deptName":"销售一公司","quantityDetailList":null,"quantityFlowList":null},{"createdBy":803,"createdByName":null,"createdTime":"2020-03-30 16:12:34","updatedBy":null,"updatedByName":null,"updatedTime":null,"id":113,"productId":16402,"stockId":599,"quantity":0.39,"lockQuantity":0.1,"version":6,"stockName":"销售四退货库","stockSign":null,"productName":"测试单元","productSoleCode":"pinhao","productSimpleCode":"tuhao","productSpec":"1*2","productUnit":"个","productWeight":1,"deptId":117,"deptName":"销售四公司","quantityDetailList":null,"quantityFlowList":null},{"createdBy":705,"createdByName":null,"createdTime":"2020-04-01 11:07:22","updatedBy":null,"updatedByName":null,"updatedTime":null,"id":121,"productId":31,"stockId":27,"quantity":1,"lockQuantity":0,"version":1,"stockName":"销售一退货库","stockSign":null,"productName":"塞棒","productSoleCode":"70TNB393001","productSimpleCode":"B393","productSpec":"1530","productUnit":"支","productWeight":0,"deptId":120,"deptName":"销售一公司","quantityDetailList":null,"quantityFlowList":null},{"createdBy":705,"createdByName":null,"createdTime":"2020-04-01 11:09:17","updatedBy":null,"updatedByName":null,"updatedTime":null,"id":123,"productId":16404,"stockId":599,"quantity":1,"lockQuantity":0,"version":1,"stockName":"销售四退货库","stockSign":null,"productName":"垫片","productSoleCode":"wer","productSimpleCode":"wer","productSpec":"25*30*5","productUnit":"件","productWeight":35,"deptId":117,"deptName":"销售四公司","quantityDetailList":null,"quantityFlowList":null},{"createdBy":705,"createdByName":null,"createdTime":"2020-04-01 11:15:44","updatedBy":null,"updatedByName":null,"updatedTime":null,"id":124,"productId":29,"stockId":27,"quantity":1.155,"lockQuantity":0,"version":1,"stockName":"销售一退货库","stockSign":null,"productName":"保护渣","productSoleCode":"70BHZBHZ1-1001","productSimpleCode":"BHZ1-1","productSpec":"165*320（Q195）","productUnit":"支","productWeight":1000,"deptId":120,"deptName":"销售一公司","quantityDetailList":null,"quantityFlowList":null}]
     * total : 6
     * size : 10
     * current : 1
     * orders : []
     * searchCount : true
     * pages : 1
     */

    private int total;
    private int size;
    private int current;
    private boolean searchCount;
    private int pages;
    private List<RecordsBean> records;
    private List<?> orders;

    public int getTotal() {
        return total;
    }

    public void setTotal(int total) {
        this.total = total;
    }

    public int getSize() {
        return size;
    }

    public void setSize(int size) {
        this.size = size;
    }

    public int getCurrent() {
        return current;
    }

    public void setCurrent(int current) {
        this.current = current;
    }

    public boolean isSearchCount() {
        return searchCount;
    }

    public void setSearchCount(boolean searchCount) {
        this.searchCount = searchCount;
    }

    public int getPages() {
        return pages;
    }

    public void setPages(int pages) {
        this.pages = pages;
    }

    public List<RecordsBean> getRecords() {
        return records;
    }

    public void setRecords(List<RecordsBean> records) {
        this.records = records;
    }

    public List<?> getOrders() {
        return orders;
    }

    public void setOrders(List<?> orders) {
        this.orders = orders;
    }

    public static class RecordsBean {
        /**
         * createdBy : 677
         * createdByName : null
         * createdTime : 2020-02-25 10:45:21
         * updatedBy : null
         * updatedByName : null
         * updatedTime : null
         * id : 104
         * productId : 32
         * stockId : 27
         * quantity : 8.0
         * lockQuantity : 0.0
         * version : 5
         * stockName : 销售一退货库
         * stockSign : null
         * productName : 浸入式水口（方坯）
         * productSoleCode : 70LTJ568-1001
         * productSimpleCode : J568-1
         * productSpec : 90
         * productUnit : 支
         * productWeight : 0.0
         * deptId : 120
         * deptName : 销售一公司
         * quantityDetailList : null
         * quantityFlowList : null
         */

        private int createdBy;
        private Object createdByName;
        private String createdTime;
        private Object updatedBy;
        private Object updatedByName;
        private Object updatedTime;
        private int id;
        private int productId;
        private int stockId;
        private double quantity;
        private double lockQuantity;
        private int version;
        private String stockName;
        private Object stockSign;
        private String productName;
        private String productSoleCode;
        private String productSimpleCode;
        private String productSpec;
        private String productUnit;
        private double productWeight;
        private int deptId;
        private String deptName;
        private Object quantityDetailList;
        private Object quantityFlowList;
        private String chooseNum;
        private String chooseName;
        private ProductBean.RecordsBean changePro;

        public ProductBean.RecordsBean getChangePro() {
            return changePro;
        }

        public void setChangePro(ProductBean.RecordsBean changePro) {
            this.changePro = changePro;
        }

        public String getChooseName() {
            return chooseName;
        }

        public void setChooseName(String chooseName) {
            this.chooseName = chooseName;
        }

        public String getChooseNum() {
            return chooseNum;
        }

        public void setChooseNum(String chooseNum) {
            this.chooseNum = chooseNum;
        }

        public int getCreatedBy() {
            return createdBy;
        }

        public void setCreatedBy(int createdBy) {
            this.createdBy = createdBy;
        }

        public Object getCreatedByName() {
            return createdByName;
        }

        public void setCreatedByName(Object createdByName) {
            this.createdByName = createdByName;
        }

        public String getCreatedTime() {
            return createdTime;
        }

        public void setCreatedTime(String createdTime) {
            this.createdTime = createdTime;
        }

        public Object getUpdatedBy() {
            return updatedBy;
        }

        public void setUpdatedBy(Object updatedBy) {
            this.updatedBy = updatedBy;
        }

        public Object getUpdatedByName() {
            return updatedByName;
        }

        public void setUpdatedByName(Object updatedByName) {
            this.updatedByName = updatedByName;
        }

        public Object getUpdatedTime() {
            return updatedTime;
        }

        public void setUpdatedTime(Object updatedTime) {
            this.updatedTime = updatedTime;
        }

        public int getId() {
            return id;
        }

        public void setId(int id) {
            this.id = id;
        }

        public int getProductId() {
            return productId;
        }

        public void setProductId(int productId) {
            this.productId = productId;
        }

        public int getStockId() {
            return stockId;
        }

        public void setStockId(int stockId) {
            this.stockId = stockId;
        }

        public double getQuantity() {
            return quantity;
        }

        public void setQuantity(double quantity) {
            this.quantity = quantity;
        }

        public double getLockQuantity() {
            return lockQuantity;
        }

        public void setLockQuantity(double lockQuantity) {
            this.lockQuantity = lockQuantity;
        }

        public int getVersion() {
            return version;
        }

        public void setVersion(int version) {
            this.version = version;
        }

        public String getStockName() {
            return stockName;
        }

        public void setStockName(String stockName) {
            this.stockName = stockName;
        }

        public Object getStockSign() {
            return stockSign;
        }

        public void setStockSign(Object stockSign) {
            this.stockSign = stockSign;
        }

        public String getProductName() {
            return productName;
        }

        public void setProductName(String productName) {
            this.productName = productName;
        }

        public String getProductSoleCode() {
            return productSoleCode;
        }

        public void setProductSoleCode(String productSoleCode) {
            this.productSoleCode = productSoleCode;
        }

        public String getProductSimpleCode() {
            return productSimpleCode;
        }

        public void setProductSimpleCode(String productSimpleCode) {
            this.productSimpleCode = productSimpleCode;
        }

        public String getProductSpec() {
            return productSpec;
        }

        public void setProductSpec(String productSpec) {
            this.productSpec = productSpec;
        }

        public String getProductUnit() {
            return productUnit;
        }

        public void setProductUnit(String productUnit) {
            this.productUnit = productUnit;
        }

        public double getProductWeight() {
            return productWeight;
        }

        public void setProductWeight(double productWeight) {
            this.productWeight = productWeight;
        }

        public int getDeptId() {
            return deptId;
        }

        public void setDeptId(int deptId) {
            this.deptId = deptId;
        }

        public String getDeptName() {
            return deptName;
        }

        public void setDeptName(String deptName) {
            this.deptName = deptName;
        }

        public Object getQuantityDetailList() {
            return quantityDetailList;
        }

        public void setQuantityDetailList(Object quantityDetailList) {
            this.quantityDetailList = quantityDetailList;
        }

        public Object getQuantityFlowList() {
            return quantityFlowList;
        }

        public void setQuantityFlowList(Object quantityFlowList) {
            this.quantityFlowList = quantityFlowList;
        }
    }
}
